#include <stdio.h>
#include <cv.h>
#include <highgui.h>
#include <cxcore.h>

#include "./include/CVdefine.h"
#include "./include/CVextern.h"


int input_DB(int *num1,char *ps1,int *num2,char *ps2,char *col_dir,int otsuflag,int smoothflag){

int center;
int number1,number2,pos1,pos2,collect;
FILE *result;

	system("touch ./num_result.txt");
	system("chmod 777 ./num_result.txt");
	
	result=fopen("./num_result.txt","w");
	
IplImage *capImage=cvCreateImage(cvSize(WINDOW_X,WINDOW_Y),IPL_DEPTH_8U,3);

img_update("./capture.jpg",WINDOW_X,WINDOW_Y);
capImage=cvLoadImage("./capture.jpg",CV_LOAD_IMAGE_COLOR);

IplImage *threImage=cvCreateImage(cvGetSize(capImage),IPL_DEPTH_8U,1),
	   *labelImage1=cvCreateImage(cvGetSize(capImage),IPL_DEPTH_8U,1),
	   *labelImage2=cvCreateImage(cvGetSize(capImage),IPL_DEPTH_8U,1),
	   *smoothImage=cvCreateImage(cvGetSize(capImage),IPL_DEPTH_8U,3),
	   *btrimImage1,
	   *btrimImage2;

IplImage *cutImage=cvCreateImage(cvGetSize(capImage),IPL_DEPTH_8U,1);

	if(smoothflag==1){
		cvSmooth(capImage,smoothImage,CV_GAUSSIAN,11,0,0,0);
		threshold(smoothImage,threImage,otsuflag);
	}
	else if(smoothflag==0){
		threshold(capImage,threImage,otsuflag);
	}

noisecut(threImage,cutImage);

if(labeling(cutImage,labelImage1,labelImage2,&collect,&center)==-1){

	cvReleaseImage(&threImage);
	cvReleaseImage(&labelImage1);
	cvReleaseImage(&labelImage2);
	cvReleaseImage(&smoothImage);
	cvReleaseImage(&capImage);

	*num1=-1;
	*num2=-1;
	*ps1 ='?';
	*ps2 ='?';

	return -1;
}
	
	printf("center======%d\n",center);

CvRect rect1,rect2;

gettrim(labelImage1,&rect1);
gettrim(labelImage2,&rect2);

btrimImage1=cvCreateImage(cvSize(rect1.width,rect1.height),IPL_DEPTH_8U,1);
btrimImage2=cvCreateImage(cvSize(rect2.width,rect2.height),IPL_DEPTH_8U,1);

triming(labelImage1,btrimImage1,rect1);
triming(labelImage2,btrimImage2,rect2);

//detect_corner();  //$B8=CJ3,$G;H$C$F$$$J$$$N$G%3%a%s%H%"%&%H(B

select_number(btrimImage1,btrimImage2,&number1,&number2);


if((rect1.x-rect2.x)>0){
		pos1='R';
		pos2='L';
		}
	else{
		pos2='R';
		pos1='L';		
	}
	
/*	if(rect1.x>=center && rect2.x>=center){
		number1=-1;
		number2=-1;
	}
	
	if(rect1.x<=center && rect2.x<=center){
		number1=-1;
		number2=-1;
	}*/


fprintf(result,"num1=%d(%c),num2=%d(%c)\n",number1,pos1,number2,pos2);

cvSaveImage("./image/capture.jpg",capImage);
cvSaveImage("./image/smooth.jpg",capImage);
cvSaveImage("./image/cut.jpg",cutImage);
cvSaveImage("./image/threshold.jpg",threImage);
cvSaveImage("./image/label1.jpg",labelImage1);
cvSaveImage("./image/label2.jpg",labelImage2);
cvSaveImage("./image/btrim1.jpg",btrimImage1);
cvSaveImage("./image/btrim2.jpg",btrimImage2);

cvReleaseImage(&capImage);
cvReleaseImage(&smoothImage);
cvReleaseImage(&cutImage);
cvReleaseImage(&threImage);
cvReleaseImage(&labelImage1);
cvReleaseImage(&labelImage2);
cvReleaseImage(&btrimImage1);
cvReleaseImage(&btrimImage2);

*num1=number1;
*num2=number2;
*ps1=pos1;
*ps2=pos2;
*col_dir=collect;
	
fclose(result);

if(number1>=0 && number2>=0)return 0;
else{return -1;}

}


